# Ontario.ca Jamstack Toolkit

The best way to start building applications for Ontario.ca.

This Ontario.ca Jamstack Toolkit is designed for teams that want to create maintainable, performant and dynamic user experiences for the public that integrate with Ontario.ca. Quickly start building a frontend application using the [Ontario Design System](https://designsystem.ontario.ca/) and enrich it with backend APIs.

## Get started using the toolkit

You can get a new Ontario.ca Jamstack application running in your local dev environment with these steps:

1. **Clone this repository.**

   ```shell
   git clone https://github.com/ongov/Ontario.ca-Jamstack-Toolkit
   ```

2. **Configure your application details.**

   Move into the newly cloned directory, install the needed packages, and enter the new project setup command:

   ```shell
   cd jamstack-application-toolkit
   npm install
   node jam-on.mjs new
   ```

3. **Start the application in `develop` mode.**

   ```shell
   npm run serve
   ```

4. **Open the source code and start editing.**

   Your application is now running at `http://localhost:8080`. Open the `jamstack-application-toolkit` directory in your code editor of choice to start making changes.

You now have a functioning Ontario.ca Jamstack application running locally.

## Learning to use the toolkit

Find documentation and guides for working with the toolkit in the [GitHub Wiki](https://github.com/ongov/Ontario.ca-Jamstack-Toolkit/wiki).

## Contributions

We welcome suggestions for improving the toolkit. See [`CONTRIBUTING.md`](CONTRIBUTING.md) for our guide on contributing to this project.

## License

Licensed under Apache License 2.0.
